Imports ProtoBuf

<Serializable>
<ProtoContract>
Public Class FileContainerInner
    <ProtoMember(1)>
    Public FileId As String
    <ProtoMember(2)>
    Public Contents As Byte()
    <ProtoMember(3)>
    Public CreatedAt As DateTime
    <ProtoMember(4)>
    Public UpdatedAt As DateTime
    <ProtoMember(5)>
    Public FileName As String

    Public Sub New()
        FileId = Guid.NewGuid().ToString
        CreatedAt = Date.Now
        UpdatedAt = Date.Now
    End Sub

End Class